*==============================================================================*.
* TTULO DE LA SINTAXIS:							   
* Clculo de indicadores de la nueva condicin de actividad		y sectorizacin de la PEA	   				   
* OPERACIN ESTADSTICA:													   
* Encuesta Nacional de Empleo, Desempleo y Subempleo (ENEMDU)				   
* UNIDAD TCNICA RESPONSABLE: 												   
* Direccin de Estudios de Poblacin y Condiciones de Vida (DEPCV)			   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadstica y Censos (INEC)							   
*==============================================================================*.
* Fecha de elaboracin:          Septiembre - 2014							   
* Fecha ltima modificacin:   Julio - 2018					   
*==============================================================================*.
* Sintaxis elaborada en base a la "Nota metodolgica para la medicin del empleo en Ecuador".
*==============================================================================*.
* Elaborado por:													   
*  		Direccin de Estadsticas Sociodemogrficas (DIES)						   
*    Gestin de Estadsticas Permanentes a Hogares 	   						   
* Aprobado por:													   
*				Direccin de Estudios Laborales y Econmicos (DELE)				       
*    Unidad de Estudios de Mercado Laboral								       
*==============================================================================*.
* Revisado por:																   
* 1. Direccin de Estudios Laborales y Econmicos (DELE)				       
*    Unidad de Estudios de Mercado Laboral								       
* 2. Direccin de Estadsticas Sociodemogrficas (DIES)						   
*    Gestin de Estadsticas Permanentes a Hogares 	   						   
*==============================================================================*.
*Indicaciones.
*1- Descargue la Bases de datos de PERSONAS de la pgina web: http://www.ecuadorencifras.gob.ec/empleo-marzo-2018/

*2- Guarde la base y copie el directorio en:.
get file = 'C:\....\201806_EnemduBDD_15anios.sav'.
*==============================================================================*.
*3- Cambiar ipc_febrero en la lnea 426 : compute def=73.40/105.37.  ipc_febrero=105.37
*==============================================================================*.
*4- Ejecute la siguiente sintaxis:.

*==============================================================================*.
* INDICADORES MERCADO LABORAL-CONDACTN 										   	   
*==============================================================================*.
weight off.
compute t_a=1.
* Crea indicadores.
    if (p03<15) condactn=0.
    recode p03 ( 15 thru 99= 1) (else=0) into petn.
    recode condactn (1 thru 8 = 1) (else=0) into pean.
    recode condactn ( 1 thru 6= 1) (else=0) into empleo.
    recode condactn ( 1 = 1) (else=0) into adec.
    recode condactn ( 2 thru 3= 1) (else=0) into sub.
    recode condactn ( 2 = 1) (else=0) into sub_h.
    recode condactn ( 3 = 1) (else=0) into sub_w.
    recode condactn ( 4 = 1) (else=0) into oinad.
    recode condactn ( 5 = 1) (else=0) into nr.
    recode condactn ( 6 = 1) (else=0) into nc.
    recode condactn ( 7 thru 8 = 1) (else=0) into desem.
    recode condactn ( 7 = 1) (else=0) into desemab.
    recode condactn ( 8 = 1) (else=0) into desemoc.
    compute desem1=0.
    if ((condactn >= 7 & condactn <= 8) & p37=1)  desem1=1.
    compute desem2=0.
    if ((condactn >= 7 & condactn <= 8) & p37=2) desem2=1.
    recode condactn ( 9 = 1) (else=0) into pein.
				recode petn pean empleo adec  sub sub_h sub_w oinad nr nc desem desemab desemoc desem1 desem2 pein nocla formal informal empdom (0=sysmis).
* Etiquetas del valor.
    value label petn 1'Poblacin en Edad de Trabajar'.
    value label pein 1'Poblacin Econmicamente Inactiva'.
    value label pean 1'Poblacin Econmicamente Activa'.
    value label empleo 1'Poblacin con Empleo'.
    value label adec 1'Empleo Adecuado/Pleno'.
     value label sub 1'Subempleo'.
    value label sub_h 1'Subempleo por insuficiencia de tiempo de trabajo'.
    value label sub_w 1'Subempleo por insuficiencia de ingresos'.
    value label oinad 1'Otro empleo no pleno'.
    value label nr 1'Empleo no remunerado'.
    value label nc 1'Empleo no clasificado'.
    value label desem 1'Desempleo'.
    value label desemab 1'Desempleo abierto'. 
    value label desemoc 1'Desempleo oculto'.
    value label desem1 1'Desempleo cesante'.
    value label desem2 1'Desempleo nuevo'.
    value label t_a 1'Poblacin total'.
    value label nocla 1'Poblacin con empleo no clasificado por sector'.
				var level  area   petn pean empleo adec  sub sub_h sub_w oinad nr nc desem desemab desemoc desem1 desem2 pein nocla formal informal empdom (nominal).
* Etiquetas de la variable.
    var label
    fexp 'Factor de expansin'
    petn 'Poblacin en Edad de Trabajar (PET)'
    pean 'Poblacin Econmicamente Activa (PEA)'
    empleo 'Empleo'
    adec 'Empleo Adecuado/Pleno'
    sub 'Subempleo'
    sub_h 'Subempleo por insuficiencia de tiempo de trabajo'
    sub_w 'Subempleo por insuficiencia de ingresos'
				oinad 'Otro empleo no pleno'
    nr 'Empleo no remunerado'
    nc 'Empleo no clasificado'
    Desem 'Desempleo'
    Desem1 'Desempleo cesante'
    Desem2 'Desempleo nuevo'
    desemab 'Desempleo abierto'
    desemoc 'Desempleo oculto'
    pein 'Poblacin Econmicamente Inactiva (PEI)'
    formal 'Empleo en el sector formal'
    informal 'Empleo en el sector informal'
    empdom 'Empleo en Servicio Domstico'
    nocla 'Empleo no clasificado por Sector'
    t_a 'Poblacin Total'.
				EXECUTE.
*==============================================================================*.
* CREA INDICADORES 										   	   
*==============================================================================*.
* Ciudades Urbanas Autorepresentadas.
ALTER TYPE  ciudad(f6).
EXECUTE.
    compute ciud5 = 0.
    if(ciudad = 170150 and area = 1) ciud5 = 1.
    if(ciudad = 090150 and area = 1) ciud5 = 2.
    if(ciudad = 010150 and area = 1) ciud5 = 3.
    if(ciudad = 070150 and area = 1) ciud5 = 4.
    if(ciudad = 180150 and area = 1) ciud5 = 5.
        value label ciud5
        1'Quito'
        2'Guayaquil'
        3'Cuenca'
        4'Machala'
        5'Ambato'.
        var label ciud5 'Cinco Ciudades'.
        var level ciud5 (nominal).
    recode ciud5 (0=sysmis).
* Grupos de edad.
    RECODE P03(0 THRU 14=1) INTO menor15.
    RECODE P03(15 THRU 99=1) INTO pobla15.
    execute.
        var label 
        menor15 'Poblacin menor a 15 aos'
        pobla15 'Poblacin mayor o igual a 15 aos'.
        value label menor15 1 'Poblacin menor a 15 aos'.
        value label pobla15 1 'Poblacin mayor o igual a 15 aos'.
        var level menor15 pobla15 (nominal).
* Tasa de empleo bruto.
    if (petn=1) templeob=0.
    if (empleo=1) templeob=100.
* Tasa de empleo global.
    if (pean=1) templeog=0.
    if (empleo=1) templeog=100.
* Tasa de empleo adecuado.
    if (pean=1) tadec=0.
    if (adec=1) tadec=100.
* Tasa de subempleo.
    if ( pean=1) tsub=0.
    if (sub=1) tsub=100.
* Tasa de empleo no remunerado.
    if( pean=1) tnr=0.
    if (nr=1) tnr=100.
* Tasa de empleo no clasificado.
    if( pean=1) tnc=0.
    if (nc=1) tnc=100.
* Tasa de otro empleo no pleno.
    if( pean=1) toinad=0.
    if (oinad=1) toinad=100.
* Tasa de desempleo.
    if( pean=1) tdeso=0.
    if (desem=1) tdeso=100.
* Tasa de desempleo Cesante.
    if( pean=1) tdeso1=0.
    if (desem1=1) tdeso1=100.
* Tasa de desempleo Nuevo.
    if( pean=1) tdeso2=0.
    if (desem2=1) tdeso2=100.
* Tasa de desempleo Abierto.
    if( pean=1) tdeaboc1=0.
    if (desemab=1) tdeaboc1=100.
* Tasa de desempleo Oculto.
    if( pean=1) tdeaboc2=0.
    if (desemoc=1) tdeaboc2=100.
* Tasa de participacin bruta.
    if( t_a=1) tpartib15=0.
    if (pean=1 and p03>=15) tpartib15=100.
* Tasa de participacin global.
    if( petn=1) tpartig=0.
    if (pean=1 and p03>=15) tpartig=100.

        var lab templeob'Tasa de Empleo Bruto(%)'.
        var lab templeog'Tasa de Empleo Global(%)'.
        var lab  tadec'Tasa de Empleo Adecuado/Pleno(%)'.
        var lab  tsub'Tasa de Subempleo (%)'.
        var lab  tnr'Tasa de Empleo no Remunerado (%)'.
        var lab  tnc'Tasa de Empleo no Clasificado (%)'.
        var lab  toinad'Tasa de Otro Empleo no Pleno (%)'.
        var lab  tdeso'Tasa de Desempleo(%)'.
        var lab  tdeso1'Tasa de Desempleo Cesante(%)'.
        var lab  tdeso2'Tasa de Desempleo Nuevo(%)'.
        var lab  tdeaboc1'Tasa de Desempleo Abierto(%)'.
        var lab  tdeaboc2'Tasa de Desempleo Oculto(%)'.
        var lab  tpartib15'Tasa de Participacin Bruta(%)'.
        var lab  tpartig'Tasa de Participacin Global(%)'.

* Empleado Pblico y Privado.
    RECODE P42 (1 = 1) (2 THRU 10=2) INTO claempl.
        var label claempl 'Tipo de Empleador'.
        value label claempl
        1'Empleado Pblico'
        2'Empleado Privado'.
    VARIABLE LEVEL claempl (NOMINAL).
*.Asalariado e Independiente.
    RECODE P42 (1 THRU 4= 1) (10= 1) (5 THRU 6 =2) INTO asalind.
        var label asalind 'Tipo de Trabajo'.
        value label asalind
        1'Empleado Asalariado'
        2'Empleado Independiente'.
* Bsqueda de trabajo.
    recode p33 (999=SYSMIS).
    recode p33 (0 thru 4=1) (5 thru 8=2)(9 thru 24=3)(25 thru HIGHEST=4) into tbt.
        var label tbt 'Tiempo de bsqueda de trabajo'.        
        val lab tbt 
        1'Hasta 4 semanas'
        2'Entre 5 a 8 semanas'
        3'Entre 9 y 24 semanas'
        4'25 y ms semanas'.
* Seguridad Social.
   compute seguro =$sysmis.
      if (p05a=1 or p05b=1) seguro=1.
      if ((p05a>=2 and p05a<=9) and sysmis(seguro)) seguro=2.
      if ((p05a=10) and sysmis(seguro)) seguro=3.
      var label seguro 'Tipo de Seguro'.  
      val label seguro
      1'IESS-Seguro General'
      2'Seguro no IESS'
      3'Ninguno'.

* Recodificacin de Rama de Actividad.
* De rama1 a rama2.
   RECODE rama1 (1=1)(2=2)(3=3)(4=4)(8=8) (5=4)(6=5)(7=6)(9=7)(10=9)(11=10)(13 thru 14=11)(15=13)(16 thru 17=12)(12=15) (18 thru 19=15) (21 thru 22=15) (20=14) (9999=15) into rama2.
      var label rama2 'Rama de Actividad-recodificada'.  
val lab rama2
1 'Agricultura, ganadera, caza y silvicultura y pesca' 
2 'Petrleo y minas' 
3 'Manufactura (incluida refinacin de petrleo)' 
4 'Suministro de electricidad y agua' 
5 'Construccin' 
6 'Comercio' 
7 'Alojamiento y servicios de comida' 
8 'Transporte' 
9 'Correo y Comunicaciones' 
10 'Actividades de servicios financieros' 
11 'Actividades profesionales, tcnicas y administrativas' 
12 'Enseanza  y Servicios sociales y de salud' 
13 'Administracin pblica, defensa; planes de seguridad social obligatoria' 
14 'Servicio domstico'
15 'Otros Servicios'.
* Filtros.
    if ((area=1 or area=2 ) ) fil00=1.
    if area=1   fil01=1.
    if area=2  fil02=1.
    var lab 
    fil00'Nacional'
    fil01'Urbano' 
    fil02'Rural'.
    EXECUTE.

*==============================================================================*.
* EVOLUCIN DE LOS INDICADORES LABORALES - TABULADOS 						  	   
*==============================================================================*.
WEIGHT BY fexp.

* Poblacin-Mercado Laboral.
 CTABLES
     /VLABELS VARIABLES=AREA ciud5 t_a menor15 petn pean pobla15 empleo adec sub sub_h sub_w oinad nr nc desem desemab desemoc desem1 
       desem2 pein 
       DISPLAY=LABEL
     /TABLE  (t_a [C] + menor15 
       [C] + pobla15 [C] > petn [C] +pobla15 [C] >  pean + pobla15 [C] > empleo [C] + pobla15 [C] > adec [C] 
       + pobla15 [C] > sub [C] + pobla15 [C] > sub_h [C] + pobla15 [C] > sub_w [C]  + pobla15 [C] > nr [C] + pobla15 [C] > oinad 
       [C] + pobla15 [C] > nc [C] + pobla15 [C] > desem [C] + pobla15 [C] > desemab 
       [C] + pobla15 [C] > desemoc [C] + pobla15 [C] > desem1 [C] + pobla15 [C] > desem2 [C] + pobla15 [C] 
       > pein [C]) by AREA [C][COUNT F40.0] + ciud5 [C][COUNT F40.0] 
     /CATEGORIES VARIABLES= ciud5 
       menor15 petn pean pobla15 empleo adec sub sub_h sub_w oinad nr nc desem desemab desemoc desem1 
       desem2 pein ORDER=A KEY=VALUE EMPTY=INCLUDE
    /CATEGORIES VARIABLES=AREA ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES=t_a ORDER=A KEY=VALUE EMPTY=EXCLUDE.

* Tasas Mercado Laboral.
   TABLES  /FORMAT BLANK MISSING('.')
   /observe=templeob templeog tadec tsub  tnr toinad  tnc  tdeso tpartib15 tpartig 
   /table= (pobla15>(templeob+ templeog+ tadec+ tsub+  tnr + toinad + 
   tnc+ tdeso+tpartig )+tpartib15) by t_a+AREA+ciud5
   /statistics=mean (
   templeob(f8.2)'Empleo Bruto (%)',
   templeog(f8.2)'Empleo Global (%)',
   tadec(f8.2)'Empleo Adecuado/pleno (%)',
   tsub(f8.2)'Subempleo (%)',
   tnr(f8.2)'Empleo no remunerado (%)',   
   toinad(f8.2)'Otro no pleno (%)'
   tnc(f8.2)'Empleo no clasificado (%)',
   tdeso(f8.2)'Desempleo (%)',
   tpartib15(f8.2)'Participacin Bruta (%)',
   tpartig(f8.2)'Participacin Global (%)',)
   /title='Cuadro 1' 'INDICADORES DE MERCADO LABORAL DE 15 AOS Y MS'
   /caption='FUENTE: ENCUESTA DE EMPLEO, DESEMPLEO Y SUBEMPLEO jun-2018' 'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ' 'ELABORADO POR: DIES-SIIH-ENEMDU'.


*==============================================================================*.
* CARACTERIZACIN DE LA CONDICIN DE ACTIVIDAD NACIONAL - TABULADOS 										   	   
*==============================================================================*.
use  all.
filter off.
filter by fil00.

*Empleados por sexo: Total Nacional. 
TABLES  /FORMAT BLANK MISSING('.')
/observe=templeog
/table=p02
by (POBLA15>( templeog))
/statistics=mean (templeog(f8.2)'Tasa de Empleo global(%)',)
/title='' 'Empleados por sexo: Total Nacional'
/caption='FUENTE: ENCUESTA DE EMPLEO, DESEMPLEO Y SUBEMPLEO jun-2018' 'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC)' 'ELABORADO POR: DIES-SIIH-ENEMDU'.

*Composicin de los empleados por tipo de empleador: Total Nacional.
CTABLES
  /VLABELS VARIABLES=claempl POBLA15 empleo DISPLAY=NONE
  /TABLE claempl [COLPCT.COUNT PCT40.1] BY POBLA15 > empleo 
  /CATEGORIES VARIABLES=claempl POBLA15 empleo ORDER=A KEY=VALUE EMPTY=INCLUDE
/titles  title='' 'Composicin de los empleados por tipo de empleador: Total Nacional'
caption='FUENTE: ENCUESTA DE EMPLEO, DESEMPLEO Y SUBEMPLEO jun-2018' 'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC)' 'ELABORADO POR: DIES-SIIH-ENEMDU'.

* Empleado Pblico y Privado respecto al empleo asalariado.
    RECODE P42 (1 = 1) (2 THRU 4=2) INTO claempl_.
        var label claempl_ 'Tipo de Empleador'.
        value label claempl_
        1'Empleado Pblico'
        2'Empleado Privado'.
    VARIABLE LEVEL claempl_ (NOMINAL).

*Composicin de los empleados por tipo de empleador respecto al empleo asalariado: Total Nacional.
CTABLES
  /VLABELS VARIABLES=claempl_ POBLA15 empleo DISPLAY=NONE
  /TABLE claempl_ [COLPCT.COUNT PCT40.1] BY POBLA15 > empleo 
  /CATEGORIES VARIABLES=claempl_ POBLA15 empleo ORDER=A KEY=VALUE EMPTY=INCLUDE
/titles  title='' 'Composicin de los empleados por tipo de empleador: Total Nacional'
caption='FUENTE: ENCUESTA DE EMPLEO, DESEMPLEO Y SUBEMPLEO JUN-2016' 'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC)' 'ELABORADO POR: DIES-SIIH-ENEMDU'.

*Composicin de los empleados por rama de actividad: Total Nacional.
CTABLES
  /VLABELS VARIABLES=rama2 pobla15 empleo DISPLAY=NONE
  /TABLE rama2 [C][COLPCT.COUNT PCT40.1] BY pobla15 [C] > empleo [C]
  /CATEGORIES VARIABLES=rama2 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=pobla15 ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=empleo ORDER=A KEY=VALUE EMPTY=INCLUDE
/titles  title='' 'Composicin de los empleados por rama de actividad: Total Nacional.'
caption='FUENTE: ENCUESTA DE EMPLEO, DESEMPLEO Y SUBEMPLEO jun-2018' 'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC)' 'ELABORADO POR: DIES-SIIH-ENEMDU'.

*Empleados adecuados por sexo: Total Nacional. 
TABLES  /FORMAT BLANK MISSING('.')
/observe=tadec
/table=p02
by (POBLA15>( tadec))
/statistics=mean (tadec(f8.2)'Tasa de Empleo Adecuado/Pleno(%)',)
/caption=' FUENTE: ENCUESTA DE EMPLEO, DESEMPLEO Y SUBEMPLEO jun-2018' 'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC)' 'ELABORADO POR: DIES-SIIH-ENEMDU'. 

*Composicin de los empleados adecuados por rama de actividad: Total Nacional.
CTABLES
  /VLABELS VARIABLES=rama2 pobla15 adec DISPLAY=NONE
  /TABLE rama2 [C][COLPCT.COUNT PCT40.1] BY pobla15 [C] > adec [C]
  /CATEGORIES VARIABLES=rama2 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=pobla15 ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=adec ORDER=A KEY=VALUE EMPTY=INCLUDE
/titles  title='' 'Composicin de los empleados adecuados por rama de actividad: Total Nacional.'
caption='FUENTE: ENCUESTA DE EMPLEO, DESEMPLEO Y SUBEMPLEO jun-2018' 'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC)' 'ELABORADO POR: DIES-SIIH-ENEMDU'.

*Subempleo por Sexo.
TABLES  /FORMAT BLANK MISSING('.')
/observe=tsub 
/table=p02
by (POBLA15>( tsub))
/statistics=mean (
tsub(f8.2)'Tasa de subempleo(%)',)
/title='' 'Subempleados por sexo: Total urbano '
/caption='FUENTE: ENCUESTA DE EMPLEO, DESEMPLEO Y SUBEMPLEO jun-2018' 'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC)' 'ELABORADO POR: DIES-SIIH-ENEMDU'.
 
*Composicin de los subempleados por tipo de empleador: Total urbano  .
CTABLES
  /VLABELS VARIABLES=asalind POBLA15 sub DISPLAY=LABEL
  /TABLE asalind [COLPCT.COUNT PCT40.1] BY POBLA15 > sub 
  /CATEGORIES VARIABLES=asalind POBLA15 sub  ORDER=A KEY=VALUE EMPTY=INCLUDE
/titles  title='' 'Composicin de los subempleados por tipo de empleador: Total urbano  .'
caption='FUENTE: ENCUESTA DE EMPLEO, DESEMPLEO Y SUBEMPLEO jun-2018' 'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC)' 'ELABORADO POR: DIES-SIIH-ENEMDU'.

*Desempleo por Sexo.
TABLES  /FORMAT BLANK MISSING('.')
/observe=tdeso 
/table=p02
 by (POBLA15>( tdeso))
/statistics=mean (
tdeso(f8.2)'Tasa de Desempleados(%)',)
/title='' 'Desempleo por sexo: Total Nacional '
/caption='FUENTE: ENCUESTA DE EMPLEO, DESEMPLEO Y SUBEMPLEO jun-2018' 'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC)' 'ELABORADO POR: DIES-SIIH-ENEMDU'.

*Tasa de desempleo por tipo: Total Nacional.
TABLES  /FORMAT BLANK MISSING('.')
/observe=tdeso tdeaboc1 tdeaboc2
/table= tdeso+tdeaboc1+tdeaboc2 by (POBLA15)
/statistics=mean (tdeso(f8.2)'Tasa de desempleo(%)',
tdeaboc1(f8.2)'Tasa de Desempleo Abierto(%)',
tdeaboc2(f8.2)'Tasa de Desempleo Oculto (%)',)
/title='''Tasa de desempleo por categora: Total Nacional'
/caption='FUENTE: ENCUESTA DE EMPLEO, DESEMPLEO Y SUBEMPLEO jun-2018' 'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC)' 'ELABORADO POR: DIES-SIIH-ENEMDU'.

*Tiempo de bsqueda de empleo: Total Nacional.
CTABLES
  /VLABELS VARIABLES=tbt POBLA15 desem DISPLAY=NONE
  /TABLE tbt [COLPCT.COUNT PCT40.1] BY POBLA15 > desem
  /CATEGORIES VARIABLES=tbt  POBLA15 desem ORDER=A KEY=VALUE EMPTY=INCLUDE
/titles  title='' 'Tiempo de bsqueda de empleo: Total Nacional'
caption='FUENTE: ENCUESTA DE EMPLEO, DESEMPLEO Y SUBEMPLEO jun-2018' 'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC)' 'ELABORADO POR: DIES-SIIH-ENEMDU'.

*Empleo  y seguro social: Total Nacional. 
CTABLES
  /VLABELS VARIABLES=seguro pobla15 empleo DISPLAY=NONE
  /TABLE seguro [COLPCT.COUNT PCT40.1] BY pobla15> empleo
  /CATEGORIES VARIABLES=seguro ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=pobla15 empleo ORDER=A KEY=VALUE EMPTY=INCLUDE
/titles  title='' 'Empleo  y seguridad social: Total Nacional.'
caption='FUENTE: ENCUESTA DE EMPLEO, DESEMPLEO Y SUBEMPLEO jun-2018' 'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC)' 'ELABORADO POR: DIES-SIIH-ENEMDU'.

*Ingresos laborales Reales por sexo: Total Nacional. 
RECODE INGRL(-1 =SYSMIS) (999999=SYSMIS).
compute def=73.40/105.09.
compute ingrl_d=ingrl*def.
var label ingrl_d 'Ingreso Laboral Valor real a dic07'.

CTABLES
  /VLABELS VARIABLES=p02 POBLA15 empleo ingrl_d  DISPLAY=NONE
  /TABLE p02 [C] BY POBLA15 > empleo [C] > ingrl_d [S][MEAN] 
  /CATEGORIES VARIABLES=p02 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES= POBLA15 empleo  ORDER=A KEY=VALUE EMPTY=INCLUDE
/titles  title='' 'Ingresos laborales (Reales) por sexo: Total Nacional.'
caption='FUENTE: ENCUESTA DE EMPLEO, DESEMPLEO Y SUBEMPLEO jun-2018' 'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC)' 'ELABORADO POR: DIES-SIIH-ENEMDU'.

*Horas de trabajo a la semana: Total Nacional .
recode p24 (999=sysmis).
var level p24 (scale).
CTABLES
  /VLABELS VARIABLES=empleo p02 p24 DISPLAY=NONE
  /TABLE empleo > pobla15>p02 [C] > p24 [MEAN]
  /CATEGORIES VARIABLES= empleo p02 ORDER=A KEY=VALUE EMPTY=INCLUDE
/titles  title='' 'Horas de trabajo a la semana: Total Nacional'
caption='FUENTE: ENCUESTA DE EMPLEO, DESEMPLEO Y SUBEMPLEO jun-2018' 'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC)' 'ELABORADO POR: DIES-SIIH-ENEMDU'.

*Empleados en el sector informal: Total Nacional .
if empleo=1 tinformal=0.
if informal=1 tinformal=100.
var label tinformal 'Tasa de empleo informal'.

TABLES /FORMAT BLANK MISSING ('.')
  /observe=tinformal
   /table=( pobla15>(tinformal)) by t_a
   /statistics=mean (
   tinformal(f8.2)'Empleo en el sector informal (%)',)
   /title='Cuadro 1' 'Empleo en el Sector Informal Antigua Metodologa'
   /caption='FUENTE: ENCUESTA DE EMPLEO, DESEMPLEO Y SUBEMPLEO jun-2018' 'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC)' 'ELABORADO POR: DIES-SIIH-ENEMDU'.

WEIGHT OFF.
filter off.
************************************************************************************************************
***********************************Elimina variables auxiliares**************************************
************************************************************************************************************.
DELETE VARIABLES def fil00 fil01 fil02.
